%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 0
%define gmajor  1.0
%define libname %mklibname %{name} %{api} %major
%define girname %mklibname %{name}-gir %{gmajor}
%define develname %mklibname -d %{name}

Name:           gitg
Version:        3.16.1
Release:        1
Summary:        GTK++++ graphical interface for the git revision control system

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        https://download.gnome.org/sources/gitg/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0) >= 2.38
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.38
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.38
BuildRequires:  pkgconfig(gobject-2.0) >= 2.38
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gthread-2.0) >= 2.38
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.10
BuildRequires:  pkgconfig(gtkspell3-3.0) >= 3.0.3
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libgit2-glib-1.0) >= 0.0.18
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.5.0
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.5.0
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  python3-devel
BuildRequires:  vala-tools

Requires:       git
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{girname} >= %{version}-%{release}

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library parts of %{name}

%description -n %{libname}
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{develname}
Group: Development/C
Summary: Development library parts of %{name}
Requires: %{libname} = %{version}-%{release}
Provides: libgitg-devel = %{version}-%{release}

%description -n %{develname}
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{name} < 0.3.2-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

# Use webkitgtk4
sed -i -e '/name="WebKit2"/ s/3\.0/4.0/' Gitg-1.0.gir

%build
%configure2_5x \
	--disable-static \
	--disable-maintainer-mode
%make

%install
%makeinstall_std
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/gitg
%{_datadir}/appdata/gitg.appdata.xml
%{_datadir}/applications/gitg.desktop
%{_datadir}/gitg
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gitg*
%{_libdir}/gitg/plugins/*
%{_mandir}/man1/gitg.1*
%{py3_platsitedir}/gi/overrides/*

%files -n %{libname}
%{_libdir}/libgitg*-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gitg*-%{gmajor}.typelib

%files -n %{develname}
%doc ChangeLog
%{_includedir}/libgitg*-%{api}
%{_libdir}/libgitg*-%{api}.so
%{_libdir}/pkgconfig/libgitg*-%{api}.pc
%{_datadir}/gir-%{gmajor}/Gitg*-%{gmajor}.gir
%{_datadir}/vala/vapi/libgitg*-%{api}.vapi

%changelog

* Fri May 01 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (dd6e005) update to 3.16.1


